# Contributing

## Setting Up

- `make venv` helps to create a virtual environment for development.

## Pull Request Process

- Follow [PEP 8 style guide](https://pep8.org/). Make use of our `.editorconfig` in your text editor.
- Write tests, if applicable.
- Sort imports with [`isort`](https://github.com/timothycrosley/isort).
- Update `CHANGELOG.md` with description of changes.
- Update `README.md` with details of changes to the interface, if applicable.
- Run `make test` locally before making a pull request. It will perform the checks locally and will save you some time.
